<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="estilos.css" rel="stylesheet" type="text/css">
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

    <!-- JQuery y Bootstrap-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <!-- Archivo JS -->
    <script src="codigo.js"></script>

    <!-- Font Awesome Icons -->
    <script src="https://kit.fontawesome.com/8f04ce7e1f.js" crossorigin="anonymous"></script>

</head>

<body>

    <!--Añadir producto-->
    <section id="nuevo_producto">
        <div class="container">
            <p class="text-center">Añadir un producto</p>

            <div class="input-group mb-2">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Nombre</span>
                </div>
                <input id="nombre-id" class="form-control" maxlength="200" placeholder="Ingrese nombre"></input>
            </div>

            <div class="input-group mb-2">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Descripción</span>
                </div>
                <input id="descripcion-id" type="text" class="form-control" placeholder="Ingrese descripción">
            </div>

            <div class="input-group mb-2">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">Precio</span>
                </div>
                <input id="precio-id" type="text" class="form-control" placeholder="ingrese precio">
            </div>

            <button type="button" class="btn" id="btn-add">Añadir producto</button>
            <p> </p>
        </div>
    </section>

    <section id="lista_productos">
        <div class="container">
            <h5>Productos:</h5>

            <table>
                <thead>
                    <tr>
                        <th>Nombre</th>
                        <th>Descripción</th>
                        <th>Precio</th>
                        <th> </th>
                        <th> </th>
                    </tr>
                </thead>

                <tbody>
                    <tr v-for="(item, i) in items" :key="i" >
                        <th>{{ item.username }}</th>
                        <th>{{ item.description }}</th>
                        <th>{{ item.price }}</th>
                        <th>
                            <button type="button" @click="updateButton(i)" id="btn-refresh"><i class="fa fa-refresh"></i></button>
                        </th>
                        <th>
                            <button type="button" @click="deleteButton(i)" id="btn-delete"><i class="fa fa-times"></i></button>
                        </th>
                    </tr>
                </tbody>
            </table>


        </div>
    </section>


</body>

</html>